Loading...
Searching...
No Matches
mypaint-symmetry.h File Reference
`#include "mypaint-matrix.h"`
`#include "mypaint-glib-compat.h"`

Go to the source code of this file.

## Data Structures

struct | MyPaintSymmetryState
| Contains the basis for symmetry calculations. More...
struct | MyPaintSymmetryData
| Contains data used for symmetry calculations. More...

## Enumerations

enum | MyPaintSymmetryType { MYPAINT_SYMMETRY_TYPE_VERTICAL , MYPAINT_SYMMETRY_TYPE_HORIZONTAL , MYPAINT_SYMMETRY_TYPE_VERTHORZ , MYPAINT_SYMMETRY_TYPE_ROTATIONAL , MYPAINT_SYMMETRY_TYPE_SNOWFLAKE , MYPAINT_SYMMETRY_TYPES_COUNT }
| Enumeration of different kinds of symmetry. More...

## Enumeration Type Documentation

## MyPaintSymmetryType

enum MyPaintSymmetryType

Enumeration of different kinds of symmetry.

See also
  MyPaintSymmetryState, MyPaintSymmetryData

Enumerator
MYPAINT_SYMMETRY_TYPE_VERTICAL | reflection across the (vertical) y-axis
MYPAINT_SYMMETRY_TYPE_HORIZONTAL | reflection across the (horizontal) x-axis
MYPAINT_SYMMETRY_TYPE_VERTHORZ | reflection across both the x-axis and the y-axis
MYPAINT_SYMMETRY_TYPE_ROTATIONAL | rotational symmetry
MYPAINT_SYMMETRY_TYPE_SNOWFLAKE | rotational symmetry and its reflection
MYPAINT_SYMMETRY_TYPES_COUNT | number of available symmetry types (only use to enumerate)